%define	upstream_name	 Digest-SHA1
%define upstream_version 2.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	Perl interface to the SHA1 Algorithm
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel

%description
Digest-SHA1 module for perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes META.yml
%{_mandir}/*/*
%{perl_vendorarch}/Digest
%{perl_vendorarch}/auto


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.130.0-9.mga3
+ Revision: 365950
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 pterjan <pterjan> 2.130.0-8.mga3
+ Revision: 283473
- Rebuild for new perl

* Wed May 30 2012 jquelin <jquelin> 2.130.0-7.mga3
+ Revision: 250580
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.130.0-6.mga2
+ Revision: 103815
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 2.130.0-5.mga1
+ Revision: 31621
- rebuild
- mageia rebuild

* Tue Jan 18 2011 jquelin <jquelin> 2.130.0-4.mga1
+ Revision: 23292
- rebuild for perl 5.12

* Sun Jan 09 2011 jquelin <jquelin> 2.130.0-3.mga1
+ Revision: 2493
- imported package perl-Digest-SHA1

